Up

# NSDateInterval class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSDateInterval class

## NSDateInterval : NSObject

> Declared in:
>   Foundation/NSDateInterval.h

> Conforms to:
>   NSCoding
>   NSCopying

Availability: MacOS-X 10.12.0
Description forthcoming.

Instance Variables
Method summary

- -compare:
- -containsDate:
- -duration
- -endDate
- -init
- -initWithStartDate:duration:
- -initWithStartDate:endDate:
- -intersectionWithDateInterval:
- -intersectsDateInterval:
- -isEqualToDateInterval:
- -setDuration:
- -setEndDate:
- -setStartDate:
- -startDate

### compare:

- (NSComparisonResult) compare: (NSDateInterval*)dateInterval;
Availability: MacOS-X 10.12.0
Description forthcoming.

### containsDate:

- (BOOL) containsDate: (NSDate*)date;
Availability: MacOS-X 10.12.0
Description forthcoming.

### duration

- (NSTimeInterval) duration;
Availability: MacOS-X 10.12.0
Description forthcoming.

### endDate

- (NSDate*) endDate;
Availability: MacOS-X 10.12.0
Description forthcoming.

### init

- (instancetype) init;
Availability: MacOS-X 10.12.0
Description forthcoming.

### initWithStartDate: duration:

- (instancetype) initWithStartDate: (NSDate*)startDate duration: (NSTimeInterval)duration;
Availability: MacOS-X 10.12.0
Description forthcoming.

### initWithStartDate: endDate:

- (instancetype) initWithStartDate: (NSDate*)startDate endDate: (NSDate*)endDate;
Availability: MacOS-X 10.12.0
Description forthcoming.

### intersectionWithDateInterval:

- (NSDateInterval*) intersectionWithDateInterval: (NSDateInterval*)dateInterval;
Availability: MacOS-X 10.12.0
Description forthcoming.

### intersectsDateInterval:

- (BOOL) intersectsDateInterval: (NSDateInterval*)dateInterval;
Availability: MacOS-X 10.12.0
Description forthcoming.

### isEqualToDateInterval:

- (BOOL) isEqualToDateInterval: (NSDateInterval*)dateInterval;
Availability: MacOS-X 10.12.0
Description forthcoming.

### setDuration:

- (void) setDuration: (NSTimeInterval)duration;
Availability: MacOS-X 10.12.0
Description forthcoming.

### setEndDate:

- (void) setEndDate: (NSDate*)endDate;
Availability: MacOS-X 10.12.0
Description forthcoming.

### setStartDate:

- (void) setStartDate: (NSDate*)startDate;
Availability: MacOS-X 10.12.0
Description forthcoming.

### startDate

- (NSDate*) startDate;
Availability: MacOS-X 10.12.0
Description forthcoming.

## Instance Variables for NSDateInterval Class

### _duration

@protected NSTimeInterval _duration;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _startDate

@protected NSDate* _startDate;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up